Skip to main content
POST
/
cards
/
{cardId}
/
digital-wallet-token-transitions
Update a digital wallet token's state
curl --request POST \
  --url https://api.equalsmoney.com/v2/cards/{cardId}/digital-wallet-token-transitions \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "state": "ACTIVE",
  "digitalWalletToken": "9d3dee7c-19df-4b71-bbb9-521bb04307bf"
}
'
{
  "state": "ACTIVE",
  "digitalWalletToken": "9d3dee7c-19df-4b71-bbb9-521bb04307bf",
  "fulfillmentStatus": "PROVISIONED"
}

Authorizations

Authorization
string
header
required

Path Parameters

cardId
string<uuid>
required

The ID of the card to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

personId
string<uuid>

The ID of the person to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a04"

Body

application/json

Body

state
enum<string>
required

The state that you want to update the digital wallet token to. The original state is REQUESTED. You can't update the state if its current value is either REQUEST_DECLINED or TERMINATED.

Available options:
ACTIVE,
SUSPENDED,
TERMINATED
Example:

"ACTIVE"

digitalWalletToken
string<uuid>
required

The digital wallet token that you want to update the state of.

Example:

"9d3dee7c-19df-4b71-bbb9-521bb04307bf"

Response

201 - application/json

Created

state
enum<string>

The state that you want to update the digital wallet token to. The original state is REQUESTED. You can't update the state if its current value is either REQUEST_DECLINED or TERMINATED.

Available options:
ACTIVE,
SUSPENDED,
TERMINATED
Example:

"ACTIVE"

digitalWalletToken
string<uuid>

The digital wallet token that you want to update the state of.

Example:

"9d3dee7c-19df-4b71-bbb9-521bb04307bf"

fulfillmentStatus
enum<string>

The provisioning status of the digital wallet token.

Available options:
DECISION_RED,
DECISION_YELLOW,
DECISION_GREEN,
REJECTED,
PROVISIONED
Example:

"PROVISIONED"